using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.StCl
namespace FAS_LIB
{
    public class scOrdFASExtDtl
    {
        private int _OrdFASExtDtlId;
        private int _OrdFASExtId;
        private bool _OrdBldRequest;
        private DateTime _OrdBldRequestedDt;
        private DateTime _OrdBldRequiredDt;
        private int _OrdBldReqShipSpt;
        private int _OrdSectsId;
        private int _OrdBldReqSectQty;

        public int OrdFASExtDtlId
        {
            get
            {
                return this._OrdFASExtDtlId;
            }
            set
            {
                this._OrdFASExtDtlId = value;
            }
        }

        public int OrdFASExtId
        {
            get
            {
                return this._OrdFASExtId;
            }
            set
            {
                this._OrdFASExtId = value;
            }
        }

        public bool OrdBldRequest
        {
            get
            {
                return this._OrdBldRequest;
            }
            set
            {
                this._OrdBldRequest = value;
            }
        }

        public DateTime OrdBldRequestedDt
        {
            get
            {
                return this._OrdBldRequestedDt;
            }
            set
            {
                this._OrdBldRequestedDt = value;
            }
        }

        public DateTime OrdBldRequiredDt
        {
            get
            {
                return this._OrdBldRequiredDt;
            }
            set
            {
                this._OrdBldRequiredDt = value;
            }
        }

        public int OrdBldReqShipSpt
        {
            get
            {
                return this._OrdBldReqShipSpt;
            }
            set
            {
                this._OrdBldReqShipSpt = value;
            }
        }

        public int OrdSectsId
        {
            get
            {
                return this._OrdSectsId;
            }
            set
            {
                this._OrdSectsId = value;
            }
        }

        public int OrdBldReqSectQty
        {
            get
            {
                return this._OrdBldReqSectQty;
            }
            set
            {
                this._OrdBldReqSectQty = value;
            }
        }

        public scOrdFASExtDtl()
        {
            this._OrdFASExtDtlId = 0;
            this._OrdFASExtId = 0;
            this._OrdBldRequest = false;
            this._OrdBldRequestedDt = Conversions.ToDate("01/01/1901");
            this._OrdBldRequiredDt = Conversions.ToDate("01/01/1901");
            this._OrdBldReqShipSpt = 0;
            this._OrdSectsId = 0;
            this._OrdBldReqSectQty = 0;
        }
    }
}
